---
id: gene-maps-genes-directions
title: _GeneMapsGenesDirections
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type _GeneMapsGenesDirections {
  mappedBy(
    first: Int = 0
    offset: Int = 0
    orderBy: [_MapsGeneOrdering] = []
    filter: _MapsGeneFilter
  ): [_GeneMapsGenes]
  gene(
    first: Int = 0
    offset: Int = 0
    orderBy: [_MapsGeneOrdering] = []
    filter: _MapsGeneFilter
  ): [_GeneMapsGenes]
}
```

### Fields

#### `mappedBy` ([`[_GeneMapsGenes]`](/docs/api/objects/gene-maps-genes))

Field for the Gene node this MAPS [relationship](https://grandstack.io/docs/graphql-relationship-types) is coming from.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_MapsGeneOrdering]`](/docs/api/enums/maps-gene-ordering))

- ##### `filter` ([`_MapsGeneFilter`](/docs/api/inputs/maps-gene-filter))

#### `gene` ([`[_GeneMapsGenes]`](/docs/api/objects/gene-maps-genes))

Field for the Gene node this MAPS [relationship](https://grandstack.io/docs/graphql-relationship-types) is going to.

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_MapsGeneOrdering]`](/docs/api/enums/maps-gene-ordering))

- ##### `filter` ([`_MapsGeneFilter`](/docs/api/inputs/maps-gene-filter))
